/**************************************************************************//**
 * @item     CosyOS-II Hook
 * @file     start_hook.c
 * @brief    启动钩子
 * @detail   在启动任务中被调用，可在此启动用户任务。
 * @service  uStartTask(task, status); 启动任务
             uStartTask_Ready(task);   启动任务并就绪
             uStartTask_Suspend(task); 启动任务并挂起
 * @author   迟凯峰
 * @version  V2.0.0
 * @date     2024.03.17
 ******************************************************************************/

#include "..\System\os_link.h"
#include "..\User\typedef.h"

#include "key.h"
#include "digital.h"
#include "WDT_task.h"

void start_hook(void)
{
	uStartTask(TASK_D,status_ready);
	uStartTask(TASK_B,status_ready);
	uStartTask(TASK_A,status_ready);
	uStartTask(TASK_C,status_ready);
	uStartTask(TASK_E,status_ready);
	
	uTimInt_ms(TIMID_DIGITAL,1);//设置中断定时任务或中断定时钩子的周期，以启动
}
